LDATTACH(8)

BEZEICHNUNG
ldattach - einen Verbindungsmodus (line discipline) zu einer seriellen Verbindung hinzufügen

ÜBERSICHT
ldattach [-1278denoVh] [-i iSchalter] [-s Geschwindigkeit] Verbindungsmodus Gerät

BESCHREIBUNG
Der ldattach-Daemon öffnet die angegebene Geräte-Datei (die auf ein serielles Gerät verweisen sollte) und fügt einen Verbindungsmodus für die Verarbeitung der gesendeten und/oder empfangenen Daten hinzu. Dann geht es in den Hintergrund und hält das Gerät offen, so dass der Verbindungsmodus aktiv bleibt.

Der Verbindungsmodus kann entweder als Name oder als Zahl angegeben werden.

Um den Verbindungsmodus aufzuheben, beenden Sie den ldattach-Prozess mit kill(1).

Ohne Argumente gibt ldattach Benutzungshinweise aus.

VERBINDUNGSMODI
Abhängig von der Kernelversion werden die folgenden Verbindungsmodi unterstützt:

TTY(0)
    Der vorgegebene Verbindungsmodus, der sowohl transparente Verarbeitung (Rohmodus) als auch die üblichen Bearbeitungsfunktionen der Terminalverbindung ermöglicht (interaktiver Modus, »cooked mode«).

SLIP(1)
    Protokollverarbeiter für das »Serial Line IP (SLIP)«-Protokoll zum Übertragen von TCP/IP-Paketen über serielle Verbindungen.

MOUSE(2)
    Gerätetreiber für über RS232 verbundene Zeigegeräte (serielle Mäuse).

PPP(3)
    Protokollverarbeiter für das »Point to Point Protocol (PPP)« zum Übertragen von Netzwerkpaketen über serielle Verbindungen.

STRIP(4)

AX25(5)

X25(6)
    Treiber für die Übertragung von X.25-Paketen über asynchrone serielle Verbindungen.

6PACK(7)

R3964(9)
    Treiber für das Simatic-R3964-Modul.

IRDA(11)
    Linux IrDa- (infrared data transmission-)Treiber - siehe http://irda.sourceforge.net/

HDLC(13)
    Synchroner HDLC-Treiber

SYNC_PPP(14)
    Synchroner PPP-Treiber

HCI(15)
    Bluetooth HCI-UART-Treiber.

GIGASET_M101(16)
    Treiber für serielle Siemens-Gigaset-M101-DECT-Adapter

PPS(18)
    Treiber für die serielle PPS-Quelle (Pulse Per Second).

GSM0710(21)
    Treiber für das »GSM 07.10 multiplexing protocol«-Modem (CMUX).

OPTIONEN

-1, --onestopbit
    setzt die Anzahl der Stop-Bits der seriellen Verbindung auf 1.

-2, --twostopbits
    setzt die Anzahl der Stop-Bits der seriellen Verbindung auf 2.

-7, --sevenbits
    setzt die Zeichengröße der seriellen Verbindung auf 7 Bits.

-8, --eightbits
    setzt die Zeichengröße der seriellen Verbindung auf 8 Bits.

-d, --debug
    hält ldattach im Vordergrund. Dies ist für Debugging-Zwecke sinnvoll oder um es unterbrechen zu können, sowie für ausführliche Ausgaben in die Standardfehlerausgabe bezüglich des Verarbeitungsfortschritts.

-e, --evenparity
    setzt die Parität der seriellen Verbindung auf gerade.

-i, --iflag [-]Wert…
    setzt die angegebenen Bits in das c_iflag-Datenwort einer seriellen Verbindung. Der angegebene Wert kann eine Zahl oder ein symbolischer Name sein. Ist dem Wert ein Minuszeichen vorangestellt, werden die angegebenen Bits stattdessen gelöscht. Durch Kommata getrennte Werte können angegeben werden, um mehrere Bits zu setzen oder zu löschen.

-n, --noparity
    setzt die Parität der seriellen Verbindung auf keine.

-o, --oddparity
    setzt die Parität der seriellen Verbindung auf ungerade.

-s, --speed Wert
    setzt die Geschwindigkeit (die Baud-Rate) der seriellen Verbindung auf den angegebenen Wert.

-c, --intro-command Zeichenkette
    setzt einen initialen Befehl, der vor dem Aufruf von ldattach über die serielle Verbindung gesendet wird. Beispielsweise kann im Verbindungsmodus GSM0710 das Modem mit dem Befehl »AT+CMUX=0« in den CMUX-Modus versetzt werden.

-p, --pause Sekunden
    wartet die Anzahl an Sekunden, bevor ldattach aufgerufen wird. Die Vorgabe ist eine Sekunde.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt diese Hilfe an und beendet das Programm.

SIEHE AUCH
inputattach(1), ttys(4)

AUTOR
Tilman Schmidt (tilman@imap.cc)

VERFÜGBARKEIT
Der Befehl ldattach ist Teil des Pakets util-linux und kann von https://www.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.